DefaultTrainingProgressMonitor (Apache OpenNLP :: Core :: ML :: Commons 3.0.0-M4 API)
Description: declaration: package: opennlp.tools.monitoring, class: DefaultTrainingProgressMonitor

Package opennlp.tools.monitoring

# Class DefaultTrainingProgressMonitor

java.lang.Object
opennlp.tools.monitoring.DefaultTrainingProgressMonitor

All Implemented Interfaces:
  `opennlp.tools.monitoring.TrainingProgressMonitor`

public class DefaultTrainingProgressMonitor extends Object implements opennlp.tools.monitoring.TrainingProgressMonitor
The default implementation of `TrainingProgressMonitor`. This publishes model training progress to the chosen logging destination.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultTrainingProgressMonitor()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `display(boolean clear)`
  `void`
  `finishedIteration(int iteration, int numberCorrectEvents, int totalEvents, opennlp.tools.monitoring.TrainingMeasure measure, double measureValue)`
  `void`
  `finishedTraining(int iterations, opennlp.tools.monitoring.StopCriteria<?> stopCriteria)`
  `boolean`
  `isTrainingFinished()`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DefaultTrainingProgressMonitor

    public DefaultTrainingProgressMonitor()

- ## Method Details

  - ### finishedIteration

    public void finishedIteration(int iteration, int numberCorrectEvents, int totalEvents, opennlp.tools.monitoring.TrainingMeasure measure, double measureValue)
    Specified by:
      `finishedIteration` in interface `opennlp.tools.monitoring.TrainingProgressMonitor`

  - ### finishedTraining

    public void finishedTraining(int iterations, opennlp.tools.monitoring.StopCriteria<?> stopCriteria)
    Specified by:
      `finishedTraining` in interface `opennlp.tools.monitoring.TrainingProgressMonitor`

  - ### display

    public void display(boolean clear)
    Specified by:
      `display` in interface `opennlp.tools.monitoring.TrainingProgressMonitor`

  - ### isTrainingFinished

    public boolean isTrainingFinished()
    Specified by:
      `isTrainingFinished` in interface `opennlp.tools.monitoring.TrainingProgressMonitor`